Class List Method List File List

# Module: Yast::MailHelpsInclude

Defined in:
  ../../src/include/mail/helps.rb

## Instance Method Summary (collapse)

- - (Object) AliasesDialogHelp

  Help for Aliases dialog, with a “man_aliases” hyperlink.

- - (Object) AuthenticationDialogHelp

  Help for Detailed address rewriting dialog.

- - (Object) ConnectionTypeDialogHelp

  Help for Connection type dialog.

- - (Object) DownloadingDialogHelp

  Help for Downloading dialog.

- - (Object) initialize_mail_helps(include_target)
- - (Object) MasqueradingDialogHelp

  Help for Detailed address rewriting dialog.

- - (Object) MtaSelectionDialogHelp

  Help for MTA selection dialog.

- - (Object) ReadDialogHelp

  Help for the ReadDialog () dialog.

- - (Object) VirtualDialogHelp

  Help for virtual domains dialog.

- - (Object) WriteDialogHelp

  Help for the WriteDialog () dialog.

## Instance Method Details

### - (`Object`) AliasesDialogHelp

Returns Help for Aliases dialog, with a “man_aliases” hyperlink.

Returns:

- Help for Aliases dialog, with a “man_aliases” hyperlink.

    134
    135
    136
    137
    138
    139
    140
    141
    142
    143
    144
    145
    146
    147
    148
    # File '../../src/include/mail/helps.rb', line 134

    def AliasesDialogHelp
      # Translators: aliases dialog help, part 1 of 2
      _(
        "\n" +
          "<p>This table redirects mail delivered locally.\n" +
          "Redirect it to another local user (useful for system accounts,\n" +
          "especially for <b>root</b>), to a remote address, or to a list of addresses.</p>\n"
      ) +
        # Translators: aliases dialog help, part 2 of 2
        _(
          "\n" +
            "<p>See the aliases(5) manual page\n" +
            "for a description of advanced features.</p>\n"
        )
    end

### - (`Object`) AuthenticationDialogHelp

Returns Help for Detailed address rewriting dialog

Returns:

- Help for Detailed address rewriting dialog

    94
    95
    96
    97
    98
    99
    100
    101
    102
    103
    104
    105
    106
    107
    108
    109
    110
    111
    112
    113
    114
    115
    116
    117
    118
    119
    120
    121
    # File '../../src/include/mail/helps.rb', line 94

    def AuthenticationDialogHelp
      # Translators: authentication dialog help 1/4
      _(
        "\n" +
          "<p>Some servers require authentication for sending mails. Here you can\n" +
          "enter information for this option. If you do not want to use authentication,\n" +
          "simply leave these fields empty.</p>\n"
      ) +
        # Translators: authentication dialog help 2/4
        _(
          "\n" +
            "<p>The outgoing mail server is generally intended for dial-up connections.\n" +
            "Enter the Internet service provider's SMTP server, such as <b>smtp.provider.com</b>.</p>\n"
        ) +
        # Translators: authentication dialog help 3/4
        _(
          "\n<p>In the <b>User Name</b> field, enter the user name assigned by from your provider.</p>\n"
        ) +
        # Translators: authentication dialog help 4/4
        _("\n<p>Enter your password in the <b>Password</b> field.</p>\n") +
        # Translators: authentication dialog help, 5/4
        _(
          "\n" +
            "<p>Note: For simplicity, only one server is displayed in this dialog,\n" +
            "although there may be more of them in your configuration file.\n" +
            "They will not be lost.</p>\n"
        )
    end

### - (`Object`) ConnectionTypeDialogHelp

Returns Help for Connection type dialog

Returns:

- Help for Connection type dialog

    71
    72
    73
    74
    75
    76
    77
    78
    79
    80
    81
    82
    83
    # File '../../src/include/mail/helps.rb', line 71

    def ConnectionTypeDialogHelp
      # Translators: connection type dialog help, part 1 of 2
      s = _(
        "\n" +
          "<p>How are you connected to the Internet? With a dial-up connection,\n" +
          "mails will not be sent immediately but rather after invoking\n" +
          "<b>sendmail&nbsp;-q</b>.</p>\n"
      ) +
        _(
          "<p>If choosing <b>No Connection</b>, the mail server will be started.\nHowever, only local mail transport is possible. The MTA listens to the localhost.</p>\n"
        )
      s
    end

### - (`Object`) DownloadingDialogHelp

Returns Help for Downloading dialog

Returns:

- Help for Downloading dialog

    124
    125
    126
    127
    128
    129
    130
    131
    # File '../../src/include/mail/helps.rb', line 124

    def DownloadingDialogHelp
      # Translators: downloading dialog help, part 1 of 1
      _(
        "\n" +
          "<p>These are parameters for downloading mail from\n" +
          "a POP or an IMAP server using <b>fetchmail</b>.</p>\n"
      )
    end

### - (`Object`) initialize_mail_helps(include_target)

    21
    22
    23
    # File '../../src/include/mail/helps.rb', line 21

    def initialize_mail_helps(include_target)
      textdomain "mail"
    end

### - (`Object`) MasqueradingDialogHelp

Returns Help for Detailed address rewriting dialog

Returns:

- Help for Detailed address rewriting dialog

    86
    87
    88
    89
    90
    91
    # File '../../src/include/mail/helps.rb', line 86

    def MasqueradingDialogHelp
      # Translators: masquerading dialog help, part 1 of 1
      _(
        "\n<p>Specify the rewriting of the sender's address here for each user.</p>\n"
      )
    end

### - (`Object`) MtaSelectionDialogHelp

Returns Help for MTA selection dialog

Returns:

- Help for MTA selection dialog

    64
    65
    66
    67
    68
    # File '../../src/include/mail/helps.rb', line 64

    def MtaSelectionDialogHelp
      # Translators: mailer (MTA) selection dialog help, part 1 of 1
      # do not translate MTA
      _("<p>Select the mail system (Mail Transfer Agent, MTA)\nto install.</p>")
    end

### - (`Object`) ReadDialogHelp

Help for the ReadDialog () dialog.

Returns:

- The help text.

    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    # File '../../src/include/mail/helps.rb', line 27

    def ReadDialogHelp
      # TODO FIXME: Modify it to your needs!
      # For translators: mail read dialog help, part 1 of 2
      _(
        "<P><B><BIG>Initializing mail</BIG></B><BR>\n" +
          "Please wait...\n" +
          "<BR></P>\n"
      ) +
        # For translators: mail read dialog help, part 2 of 2
        _(
          "<P><B><BIG>Aborting the initialization:</BIG></B><BR>\n" +
            "Safely abort the configuration utility by pressing <B>Abort</B>\n" +
            "now.\n" +
            "</P>\n"
        )
    end

### - (`Object`) VirtualDialogHelp

Returns Help for virtual domains dialog

Returns:

- Help for virtual domains dialog

    151
    152
    153
    154
    155
    156
    157
    158
    159
    160
    161
    162
    163
    164
    165
    # File '../../src/include/mail/helps.rb', line 151

    def VirtualDialogHelp
      # Translators: virtual domains dialog help, part 1 of 2
      _(
        "\n" +
          "<p>This table redirects incoming mail. Unlike the alias table,\n" +
          "it also considers the domain\n" +
          "part of the address.</p>\n"
      ) +
        # Translators: virtual domains dialog help, part 2 of 2
        _(
          "\n" +
            "<p>It allows hosting multiple \"virtual domains\"\n" +
            "on a single machine.</p>\n"
        )
    end

### - (`Object`) WriteDialogHelp

Help for the WriteDialog () dialog.

Returns:

- The help text.

    46
    47
    48
    49
    50
    51
    52
    53
    54
    55
    56
    57
    58
    59
    60
    61
    # File '../../src/include/mail/helps.rb', line 46

    def WriteDialogHelp
      # TODO FIXME: Modify it to your needs!
      # For translators: mail write dialog help, part 1 of 2
      _(
        "<P><B><BIG>Saving mail configuration</BIG></B><BR>\n" +
          "Please wait...\n" +
          "<BR></P>\n"
      ) +
        # For translators: mail write dialog help, part 2 of 2
        _(
          "<P><B><BIG>Aborting saving:</BIG></B><BR>\n" +
            "Abort saving by pressing <B>Abort</B>.\n" +
            "An additional dialog will inform you whether it is safe to do so.\n" +
            "</P>\n"
        )
    end